=== requirements.txt ===
pypubsub==4.0.3
# Fix: install attrdict3 for wxPython==4.2.0 from PyPI
attrdict3
wxPython<=4.2.1a1,>=4.0.7.post2

# Requirements for Windows and ManyLinux 2014
