## youtube-dl-gui 0.4.0

=== debian/changelog ===
youtube-dl-gui (0.4.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * debian/rules and control: build with modern pybuild system.
  * Disable tests, as they need access to an X display. If you want them, 
    and are building in X, comment out the override in rules and uncomment the
    python-pytest-mock build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Sep 2019 14:12:29 -0700

youtube-dl-gui (0.4.0-1mx17+2) mx; urgency=medium

  * Added python-twodict to the depends list.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 29 Nov 2017 18:46:52 -0800

youtube-dl-gui (0.4.0-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 11 Sep 2017 22:56:21 -0400

youtube-dl-gui (0.4.0-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux..

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 11 Sep 2017 21:49:21 -0400

youtube-dl-gui (0.3.8+gitaa74cc2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Change package and source name to youtube-dl-gui.
  * Add python-wxgtk3.0 as alternate, preferred dependency.
  * debian/control and rules: switch to a dh_python build system.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 28 Feb 2016 14:10:38 -0800

youtube-dlg (0.3.8-1~webupd8~wily0) wily; urgency=medium
 
  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 25 May 2015 12:05:19 +0200

youtube-dlg (0.3.7-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release
  * Disabled 00_remove_icon.patch, applied upstream

 -- Alin Andrei <webupd8@gmail.com>  Thu, 02 Apr 2015 12:13:48 +0200

youtube-dlg (0.3.5-1~webupd8~vivid0) vivid; urgency=medium
 
  * Upload for Vivid

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Mar 2015 14:18:39 +0200

youtube-dlg (0.3.5-1~webupd8~utopic1) utopic; urgency=medium
 
  * Upload for Utopic

 -- Alin Andrei <webupd8@gmail.com>  Thu, 11 Sep 2014 11:27:49 +0200

youtube-dlg (0.3.5-1~webupd8~trusty1) trusty; urgency=medium
 
  * new upstream release
  * refreshed 00_remove_icon.patch
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 07 Apr 2014 15:58:04 +0200

youtube-dlg (0.3+git20140327-1~webupd8~trusty) trusty; urgency=medium
 
  * git snapshot
 
 -- Alin Andrei <webupd8@gmail.com>  Thu, 27 Mar 2014 15:58:04 +0200

youtube-dlg (0.3-1~webupd8~precise) precise; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 26 Mar 2014 15:58:04 +0200

youtube-dlg (0.2.2-2~webupd8~trusty1) trusty; urgency=medium
 
  * initial debianization
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 24 Mar 2014 15:58:04 +0200
