=== debian/control ===
Source: youtube-dl-gui
Section: gnome
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
# XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper (>= 9),
               python-all,
               dh-python,
#               python-distutils-extra,
#               python-pytest-mock,
               python-twodict (>= 1.2),
               python-wxgtk3.0 | python-wxgtk2.8
X-Python-Version: >= 2.6, << 2.9
Standards-Version: 3.9.5
Homepage: https://github.com/MrS0m30n3/youtube-dl-gui

Package: youtube-dl-gui
Architecture: all
Depends: ${python:Depends},
         python-wxgtk3.0 | python-wxgtk2.8,
         python-twodict (>= 1.2)
Conflicts: youtube-dlg
Replaces: youtube-dlg
Recommends: libav-tools | ffmpeg
Description: GUI for youtube-dl
 A wxPython cross-platform front-end GUI for the popular youtube-dl tool.
