=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=youtube-dl-gui
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_16x16.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/16x16/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_32x32.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/32x32/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_48x48.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/48x48/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_64x64.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/64x64/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_128x128.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/128x128/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_256x256.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/256x256/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_32x32.png $(CURDIR)/debian/youtube-dl-gui/usr/share/pixmaps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/debian/youtube-dl-gui.desktop $(CURDIR)/debian/youtube-dl-gui/usr/share/applications/youtube-dl-gui.desktop
#remove unecessary icon
	rm -rf $(CURDIR)/debian/youtube-dl-gui/usr/share/pixmaps/youtube-dl-gui_48x48.png

override_dh_auto_clean:
	dh_auto_clean
#	rm -rf build

override_dh_auto_test:
