## youtube-dl-gui 1.8.5

=== debian/changelog ===
youtube-dl-gui (1.8.5-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 02 Mar 2023 12:54:20 +0100
