=== debian/control ===
Source: youtube-dl-gui
Section: Multimedia
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>=12), apt-utils, build-essential, dpkg-dev, freeglut3, freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libgstreamer-plugins-base1.0-dev, libgtk-3-dev, libjpeg-dev, libnotify-dev, libsdl2-dev, libsm-dev, libtiff-dev, libwebkit2gtk-4.0-dev, libxtst-dev
Standards-Version: 3.9.6
Homepage: https://github.com/oleksis/youtube-dl-gui

Package: youtube-dl-gui
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Youtube Downloader GUI
 A cross platform front-end GUI of the popular youtube-dl written in wxPython.
